using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Toolkit.Mvvm.ComponentModel;
using System.Collections.Concurrent;
using System.Collections.ObjectModel;
using System.Windows;
using BPASmartClient.Helper;
using Microsoft.Toolkit.Mvvm.Input;
using BPASmartClient.DosingSystem.View;

namespace BPASmartClient.DosingSystem.ViewModel
{
    public class DeviceListViewModel : ObservableObject
    {
        public DeviceListViewModel()
        {
            ChangeNameCommand = new RelayCommand<object>((o) =>
            {
                if (o != null && o is string str)
                {
                    ChangeDeviceNameView cdn = new ChangeDeviceNameView();
                    ActionManage.GetInstance.Send("ChangeDeviceNameViewOpen", str);
                    cdn.ShowDialog();
                }
            });
        }

        public RelayCommand<object> ChangeNameCommand { get; set; }

        public static ObservableCollection<Devices> devices { get; set; } = new ObservableCollection<Devices>();
    }

    public class Devices : ObservableObject
    {
        public string IpAddress { get { return _mIpAddress; } set { _mIpAddress = value; OnPropertyChanged(); } }
        private string _mIpAddress;

        public string DeviceName { get { return _mDeviceName; } set { _mDeviceName = value; OnPropertyChanged(); } }
        private string _mDeviceName;

    }
}
